> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all tasks that are assigned to you

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/tasks

Returns paginated tasks assigned to you. Requires `filter=myPendingTasks` query parameter.

Reference: https://contentful.com/developers/docs/references/content-management-api/entry-tasks/get-all-tasks-that-are-assigned-to-you

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string

### Query parameters

- `filter` (enum, required) — This endpoint expects the query parameter `filter=myPendingTasks`. A call without this parameter will return a `501` status code.
  - Allowed values: `myPendingTasks`

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [],
  "limit": 100,
  "skip": 0,
  "sys": {
    "type": "Array"
  }
}
```

**SDK Code**

```android Android
No snippet for this SDK.
```

```java Java
No snippet for this SDK.
```

```kotlin Kotlin
No snippet for this SDK.
```

```swift Swift
No snippet for this SDK.
```

```js-legacy JavaScript (legacy)
No snippet for this SDK.
```

```javascript JavaScript
No snippet for this SDK.
```

```php PHP
No snippet for this SDK.
```

```ruby Ruby
No snippet for this SDK.
```

```python Python
No snippet for this SDK.
```

```.net .NET
No snippet for this SDK.
```